Check Deposits APIs
Create Check Deposit
Creates a check deposit for an Account.
| Verb | POST |
| URL | https://api.s.unit.sh/check-deposits |
| Required Scope | check-deposits-write |
| Data Type | checkDeposit |
| Timeout (Seconds) | 5 |
Attributes
Relationships
curl -X POST 'https://api.s.unit.sh/check-deposits'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "checkDeposit",
"attributes": {
"amount": 20000,
"description": "Check deposit"
},
"relationships": {
"account": {
"data": {
"type": "depositAccount",
"id": "10001"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
{
"data": {
"type": "checkDeposit",
"id": "1112",
"attributes": {
"createdAt": "2021-05-27T09:29:30.828Z",
"amount": 20000,
"description": "Check deposit",
"status": "AwaitingImages"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10001"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
}
}
Get by Id
Get a check deposit by id.
| Verb | GET |
| URL | https://api.s.unit.sh/check-deposits/{id} |
| Required Scope | check-deposits |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| include | string | (empty) | Optional. A comma-separated list of related resources to include in the response. Related resources include: customer, account, transaction. See Getting Related Resources |
Response
Response is a JSON:API document.
200 OK
include query parameter.curl -X GET 'https://api.s.unit.sh/check-deposits/100' \
-H "Authorization: Bearer ${TOKEN}"
List
List check deposit resources. Filtering, paging and sorting can be applied.
| Verb | GET |
| URL | https://api.s.unit.sh/check-deposits |
| Required Scope | check-deposits |
| Timeout (Seconds) | 120 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| page[limit] | integer | 100 | Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination. |
| page[offset] | integer | 0 | Number of resources to skip. See Pagination. |
| filter[accountId] | string | (empty) | Optional. Filters the results by the specified account id. |
| filter[customerId] | string | (empty) | Optional. Filters the results by the specified customer id. |
| filter[status] | Check Deposit Status | (empty) | Optional. Filter by Check Deposit Status. Usage Example: filter[status][0]=PendingReview&filter[status][1]=AwaitingImages |
| filter[tags] | Tags (JSON) | (empty) | Optional. Filter check deposits by Tags. |
| filter[fromAmount] | integer | (empty) | Optional. Filters the Check Deposits that have an amount that is higher or equal to the specified amount (in cents). e.g. 5000 |
| filter[toAmount] | integer | (empty) | Optional. Filters the Check Deposits that have an amount that is lower or equal to the specified amount (in cents). e.g. 7000 |
| sort | string | sort=-createdAt | Optional. Leave empty or provide sort=createdAt for ascending order. Provide sort=-createdAt (leading minus sign) for descending order. |
| include | string | (empty) | Optional. A comma-separated list of related resources to include in the response. Related resources include: customer, account, transaction. See Getting Related Resources |
curl -X GET 'https://api.s.unit.sh/check-deposits?page[limit]=20&page[offset]=10' \
-H "Authorization: Bearer ${TOKEN}"
Response
Response is a JSON:API document.
200 OK
include query parameter.{
"data": [
{
"type": "checkDeposit",
"id": "112",
"attributes": {
"createdAt": "2021-05-27T09:29:30.828Z",
"amount": 20000,
"description": "Check deposit",
"status": "AwaitingImages"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10001"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
},
{
"type": "checkDeposit",
"id": "233",
"attributes": {
"createdAt": "2021-05-27T10:49:23.287Z",
"amount": 10000,
"description": "Another check deposit",
"status": "AwaitingImages"
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10001"
}
},
"customer": {
"data": {
"type": "customer",
"id": "10000"
}
}
}
}
]
}
Update
Update a check deposit.
| Verb | PATCH |
| URL | https://api.s.unit.sh/check-deposits/:id |
| Required Scope | check-deposits-write |
| Timeout (Seconds) | 5 |
Attributes
Response
Response is a JSON:API document.
200 OK
curl -X PATCH 'https://api.s.unit.sh/check-deposits/:id'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "checkDeposit",
"attributes": {
"tags": {
"by": "Richard Hendricks",
"id": "23033b64-38f8-4dbc-91a1-313ff0156d02"
}
}
}
}'
Create Check Deposit Send Link
Creates a shareable link for the Check Deposit component for an Account.
The link can be sent to an end user via SMS or email and used to complete a check deposit.
Unless a White Label Theme is customized, the component uses the default theme.
Unless an Email Domain is customized the link will be acreated under a default domain starting in https://application-form.sh.
The link expires after 60 minutes, after which the Check Deposit component cannot be used.
| Verb | POST |
| URL | https://api.s.unit.sh/white-label/send-link |
| Required Scope | check-deposits-write |
| Data Type | sendLinkForCheckDepositComponent |
| Timeout (Seconds) | 5 |
Attributes
true, a QR code (base64 encoded PNG) will be included in the response.Relationships
curl -X POST 'https://api.s.unit.sh/white-label/send-link'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
--data-raw '{
"data": {
"type": "sendLinkForCheckDepositComponent",
"attributes": {
"qrCode": true,
"idempotencyKey": "3a1a33be-4e12-4603-9ed0-820922389fb8"
},
"relationships": {
"whiteLabelTheme": {
"data": {
"type": "whiteLabelTheme",
"id": "10000"
}
},
"account": {
"data": {
"type": "account",
"id": "10030"
}
},
"authorizedUser": {
"data": {
"type": "authorizedUser",
"id": "10001"
}
}
}
}
}'
Response
Response is a JSON:API document.
201 Created
Attributes
value (base64 encoded PNG) and format keys.Relationships
{
"data": {
"type": "sendLinkForCheckDepositComponent",
"id": "13475",
"attributes": {
"shortLink": "https://f.unit.sh/GrTow1",
"link": "https://application-form.sh/view/ZXlKaGJHY2lPaUpTVXpJMU5pSXNJblI1...",
"expiration": "2025-12-23T13:37:33.960Z",
"qrCode": {
"value": "iVBORw0KGgoAAAANSUhEUgAAAyAAAAMgAQAAAADzCzvFAAAQFElEQVR4Xu2aQZLj...",
"format": "image/png"
}
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "10030"
}
},
"whiteLabelTheme": {
"data": {
"type": "whiteLabelTheme",
"id": "10000"
}
}
}
}
}
Upload Front-Side Image
Uploads a check front-side image file. Currently only jpeg file type is supported.
| Verb | PUT |
| URL | https://api.s.unit.sh/check-deposits/{checkDepositId}/front |
| Required Scope | check-deposits-write |
| Timeout (Seconds) | 5 |
Maximum image size is 1.5mb.
Headers
| Index | Value |
|---|---|
| Content-Type | Always image/jpeg. |
Response
Response is a JSON:API document.
200 OK
curl --request PUT 'https://api.s.unit.sh/check-deposits/46/front' \
--header 'Content-Type: image/jpeg' \
--data-binary 'front.jpg'
Upload Back-Side Image
Uploads a check back-side image file. Currently only jpeg file type is supported.
| Verb | PUT |
| URL | https://api.s.unit.sh/check-deposits/{checkDepositId}/back |
| Required Scope | check-deposits-write |
| Timeout (Seconds) | 5 |
Maximum image size is 1.5mb.
Headers
| Index | Value |
|---|---|
| Content-Type | Always image/jpeg. |
Response
Response is a JSON:API document.
200 OK
curl --request PUT 'https://api.s.unit.sh/check-deposits/46/back' \
--header 'Content-Type: image/jpeg' \
--data-binary 'back.jpg'
Get front image by Id
Get a check deposit front image by check deposit id.
| Verb | GET |
| URL | https://api.s.unit.sh/check-deposits/{id}/front |
| Required Scope | check-deposits |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|
Response
Response is a IMAGE:JPEG file.
200 OK / 302 Found
Client should support following redirects
curl -X GET 'https://api.s.unit.sh/check-deposits/100/front' \
-H "Authorization: Bearer ${TOKEN}"
Get back image by Id
Get a check deposit back image by check deposit id.
| Verb | GET |
| URL | https://api.s.unit.sh/check-deposits/{id}/back |
| Required Scope | check-deposits |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|
Response
Response is a IMAGE:JPEG file.
200 OK / 302 Found
Client should support following redirects
curl -X GET 'https://api.s.unit.sh/check-deposits/100/back' \
-H "Authorization: Bearer ${TOKEN}"
Clear Check Deposit
Clears a check deposit while in Clearing status. Overrides the original clearing period, making funds available immediately. Requires the Dynamic Clearing Period feature to be enabled.
| Verb | POST |
| URL | https://api.s.unit.sh/check-deposits/{id}/clear |
| Required Scope | check-deposits-write |
| Timeout (Seconds) | 5 |
Response
Response is a JSON:API document.
200 OK
curl -X POST 'https://api.s.unit.sh/check-deposits/61212/clear'
-H 'Content-Type: application/vnd.api+json'
-H 'Authorization: Bearer ${TOKEN}'
Confirm details
Confirms a check deposit details when it's in AwaitingCustomerConfirmation status